Bug 1847061 - File search doesn't work under certain locales
Summary: File search doesn't work under certain locales
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: nautilus
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Ondrej Holy
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-15 14:44 UTC by Ondrej Holy
Modified: 2020-11-04 01:37 UTC (History)
2 users (show)

Fixed In Version: nautilus-3.28.1-14.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:35:45 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:36:01 UTC

Description Ondrej Holy 2020-06-15 14:44:18 UTC
The fix for Bug 1646352 shipped with RHEL 8.2, unfortunately, causes that file search doesn't work in certain cases at all. Concretely, this happens with certain system locales that use "," instead of "." as decimal separator, which makes the search query invalid...

See the upstream issue and merge request for more details:
https://gitlab.gnome.org/GNOME/nautilus/-/issues/1412
https://gitlab.gnome.org/GNOME/nautilus/-/merge_requests/541

Comment 1 Ondrej Holy 2020-06-19 08:10:50 UTC
Steps to reproduce:
1. $ LANG=cs_CZ.utf8 nautilus
2. Search something over Ctrl+F
3. You will see the following error and you won't see any search results from tracker:
** (nautilus:3498): WARNING **: 10:04:15.266: Provider NautilusSearchEngineTracker failed with error 2.329: syntax error, expected `AS'

Comment 8 errata-xmlrpc 2020-11-04 01:35:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.